package test.info.dragonlady.scriptlet;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.security.Principal;
import java.util.Enumeration;
import java.util.Hashtable;
import java.util.Locale;
import java.util.Map;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletInputStream;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

public class TestHttpServletRequest implements HttpServletRequest {
	
	protected HttpSession session = new TestHttpSession();
	protected Hashtable<String, String> params = new Hashtable<String, String>();
	protected Hashtable<String, String> headers = new Hashtable<String, String>();
	protected String method = "POST";
	
	public void setMethod(String m) {
		method = m;
	}
	
	public String getAuthType() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public String getContextPath() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public Cookie[] getCookies() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public long getDateHeader(String name) {
		// TODO 自動生成されたメソッド・スタブ
		return 0;
	}

	public String getHeader(String name) {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public Enumeration getHeaderNames() {
		// TODO 自動生成されたメソッド・スタブ
		return headers.keys();
	}

	public Enumeration getHeaders(String name) {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public int getIntHeader(String name) {
		// TODO 自動生成されたメソッド・スタブ
		return 0;
	}

	public String getMethod() {
		return method;
	}

	public String getPathInfo() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public String getPathTranslated() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public String getQueryString() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public String getRemoteUser() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public String getRequestURI() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public StringBuffer getRequestURL() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public String getRequestedSessionId() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public String getServletPath() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public HttpSession getSession() {
		return session;
	}

	public HttpSession getSession(boolean create) {
		if(create) {
			session = new TestHttpSession();
		}
		return session;
	}

	public Principal getUserPrincipal() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public boolean isRequestedSessionIdFromCookie() {
		// TODO 自動生成されたメソッド・スタブ
		return false;
	}

	public boolean isRequestedSessionIdFromURL() {
		// TODO 自動生成されたメソッド・スタブ
		return false;
	}

	public boolean isRequestedSessionIdFromUrl() {
		// TODO 自動生成されたメソッド・スタブ
		return false;
	}

	public boolean isRequestedSessionIdValid() {
		// TODO 自動生成されたメソッド・スタブ
		return false;
	}

	public boolean isUserInRole(String role) {
		// TODO 自動生成されたメソッド・スタブ
		return false;
	}

	public Object getAttribute(String name) {
		return session.getAttribute(name);
	}

	public Enumeration getAttributeNames() {
		return session.getAttributeNames();
	}

	public String getCharacterEncoding() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public int getContentLength() {
		// TODO 自動生成されたメソッド・スタブ
		return 0;
	}

	public String getContentType() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public ServletInputStream getInputStream() throws IOException {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public String getLocalAddr() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public String getLocalName() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public int getLocalPort() {
		// TODO 自動生成されたメソッド・スタブ
		return 0;
	}

	public Locale getLocale() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public Enumeration getLocales() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public String getParameter(String name) {
		return params.get(name);
	}

	public Map getParameterMap() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public Enumeration getParameterNames() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public String[] getParameterValues(String name) {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public String getProtocol() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public BufferedReader getReader() throws IOException {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public String getRealPath(String path) {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public String getRemoteAddr() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public String getRemoteHost() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public int getRemotePort() {
		// TODO 自動生成されたメソッド・スタブ
		return 0;
	}

	public RequestDispatcher getRequestDispatcher(String path) {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public String getScheme() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public String getServerName() {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	public int getServerPort() {
		// TODO 自動生成されたメソッド・スタブ
		return 0;
	}

	public boolean isSecure() {
		// TODO 自動生成されたメソッド・スタブ
		return false;
	}

	public void removeAttribute(String name) {
		// TODO 自動生成されたメソッド・スタブ

	}

	public void setAttribute(String name, Object o) {
		// TODO 自動生成されたメソッド・スタブ

	}

	public void setCharacterEncoding(String env)
			throws UnsupportedEncodingException {
		// TODO 自動生成されたメソッド・スタブ

	}

}
